Package org.eclipse.emf.cdo.lm.server

# Class AbstractLifecycleManager.SystemCommitEvent

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.emf.cdo.lm.server.AbstractLifecycleManager.SystemCommitEvent

All Implemented Interfaces:
  `Serializable`, `org.eclipse.net4j.util.event.IEvent`

Enclosing class:
  AbstractLifecycleManager

public final class AbstractLifecycleManager.SystemCommitEvent extends org.eclipse.net4j.util.event.Event

Since:
  1.4
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`formatAdditionalParameters()`
`IStoreAccessor.CommitContext`
`getCommitContext()`
`AbstractLifecycleManager`
`getSource()`
`String`
`getSystemName()`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatEventName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getSource

public AbstractLifecycleManager getSource()

Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`
Overrides:
  `getSource` in class `org.eclipse.net4j.util.event.Event`

### getSystemName

public String getSystemName()

### getCommitContext

public IStoreAccessor.CommitContext getCommitContext()

### formatAdditionalParameters

protected String formatAdditionalParameters()

Overrides:
  `formatAdditionalParameters` in class `org.eclipse.net4j.util.event.Event`